--[[
	##AddOn	: SplitItems (On-the-Fly)
	##Subfile	: config.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local SI = SplitItemsOTF

--Methods:
--Pick item up -> use wheel to increase/decrease amount of splitting
--shift+click = normal split window, shift+ctrl -> split 50+x:50-x

local dftl_settings = {
	--allow mods only Shift,Alt,Ctrl
	[1] = "SHIFT", --1*5 = 5
	[2] = "CTRL", --2*5 = 10
	[3] = "ALT", --3*5 = 15
	halfSplit1 = "SHIFT",
	halfSplit2 = "CTRL",
    HideMax = false
}

function SI:InitDB()
	SI.db = _G.SplitItemOnTheFly_DB
	if type(SI.db)=='table' then -- not first launch (check for updated default ones)
        --[[for entry,value in pairs(SI.db) do
            if dftl_settings[entry] ~= value then
                SI.db[entry]=value
            end
        end]]
		return
	else -- first start
		SI.db = { }
		for entry,value in pairs(dftl_settings) do
			SI.db[entry] = value
		end
	end
end


function SI:PLAYER_LOGOUT()
    _G.SplitItemsOnTheFly_DB = SI.db
end


SLASH_SPLITITEMS1 = "/splititems";
function SlashCmdList.SPLITITEMS(msg)
 --open Config
end
